/* /Components/Notifications.razor.rz.scp.css */
section#toasts[b-v0n4lm50fy] {
    position: fixed;
    bottom: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
}

div#attack-timer[b-v0n4lm50fy] {
    position: fixed;
    top: 0;
    margin-inline: auto;
    color: #ff7f7f;
    font-size: 24px;
    padding-bottom: 4px;
    padding-left: 12px;
    height: 48px;
    background-color: #2f1f1f;
    border-width: 0 1px 1px 1px;
    border-color: #ff7f7f;
    border-style: solid;
    border-radius: 0 0 8px 8px;
    width: 184px;
    display: flex;
    gap: 16px;
    user-select: none;
    cursor: pointer;
    align-items: center;
    box-shadow: 0 0 16px #ff7f7f;

    &::before {
        content: "";
        background-image: url('../png/ui/swords.png');
        width: 24px;
        height: 24px;
    }
}
/* /Components/Toast.razor.rz.scp.css */
div.toast[b-612z0jpds5] {
    width: 256px;
    min-height: 128px;
    background-color: #000000bf;
    backdrop-filter: blur(4px);
    display: flex;
    flex-direction: column;
    gap: 12px;
    padding: 16px;
    border-radius: 16px;
    border: 1px solid;
    user-select: none;
    cursor: pointer;
    transition: all 250ms ease;
    border-color: var(--color);
    box-shadow: 0 0 16px var(--shadow-color);

    hr {
        margin-inline: unset;
        width: 100%;
    }

    &.gray[b-612z0jpds5] {
        --color: #7f7f7f;
        --shadow-color: #7f7f7f7f;
    }

    &.green[b-612z0jpds5] {
        --color: #7fff7f;
        --shadow-color: #7fff7f7f;
    }

    &.yellow[b-612z0jpds5] {
        --color: #ffff7f;
        --shadow-color: #ffff7f7f;
    }

    &.red[b-612z0jpds5] {
        --color: #ff7f7f;
        --shadow-color: #ff7f7f7f;
    }

    &.violet[b-612z0jpds5] {
        --color: #9f7fff;
        --shadow-color: #9f7fff7f;
    }

    & > span.title[b-612z0jpds5] {
        text-align: center;
        color: var(--color);
    }

    &.hidden[b-612z0jpds5] {
        transform: translateX(512px);
    }
}
